Kicad Footprint Library Issues


#1

I get Library and Load errors whenever I start Kicad and when I try to run the Assign Footprints program.

Even when I update all the environment variables, Kicad can’t find the footprint files.

I’ve tried this on OSX and Ubuntu Linux.

When I try running “Assign Footprints” I get Library Loading errors.


#2

Did you have kicad version 4 installed in the past?

Or are you possibly missing some parts of the installation?

A general note about lib management:


#3

I did have v4 installed previously.

I’m checking out the info now. Thanks!


#4

If you’re still having trouble, then post your kicad version and the exact text of your errors.
This helps with diagnosing the problem and triage.

Simply pasting those error messages in an internet search engine often leads to results.

There are also multiple ways to assign footprints to schematic symbols.
What happens if you hover over a symbol and then press “f” and click on [Select] ?


#5

I downloaded the footprints from here: https://github.com/KiCad/kicad-footprints

And followed your suggestions on Library management. Everything seemed right, but still not finding the files. Then I noticed that, for some reason, there was a quote character ’ in my paths.

I fixed this and now the footprints are loaded. Kind of embarrassing, but that quote character in the environment variable path was really subtle.

I am getting some “not found errors” now, listed here
The following libraries were not found:
switches.lib
relays.lib
motors.lib
transistors.lib
conn.lib
linear.lib
regul.lib
cmos4000.lib
adc-dac.lib
memory.lib
xilinx.lib
microcontrollers.lib
dsp.lib
microchip.lib
analog_switches.lib
motorola.lib
texas.lib
intel.lib
digital-audio.lib
philips.lib
display.lib
cypress.lib
siliconi.lib
opto.lib
atmel.lib
contrib.lib
valves.lib

How does Kicad even know I’m missing these?


#6

That list of libraries is from KiCad 4.
For deciding what you want to do with them you may want to re-read the links Rene_Poschl already posted 2 days ago:
https://forum.kicad.info/t/i-had-kicad-4-installed-previosly-now-i-updated-to-v5-now-i-have-some-problems-with-the-library-setup/11932


#7

I would assume you created this project in version 4 and are now trying to access it in version 5. I already posted a link on how to transfer projects further up. (The second link to be precise)